Subject: Re: Hammer Dies

From: [email-masked]
Date: Wed, 24 Jan 1996 10:15:09 -0500

I too was impressed by Clifton's video, and by Clifton. By the way, he is
very, very subdued in the video as compared to live. Any way, I have had very
little success with the 25lber ala Clifton. The dies are just to small and
the throw of the ram is not long enough. You will also need to install a
brake so that you can hit one good lick. I use a flat bottom die and a
drawing die on top. This works pretty well for me I can use some special
handled tools with it but not very effectively. I use it mostly for drawing
and use the treadle hammer for the more involved stuff. I have even adapted
my smithin' magician for use under the treadle hammer. I guess it all boils
down to what you are going to do with them. 99% of my work is 1" or smaller
stock and 90% is 3/4" or smaller. My setup works well for this type of stock.

Bon Chance MOn Ami

Kenny Valdejo
Bittersweet Forge
Millstadt IL